import Vue from 'vue';
import Router from 'vue-router';
import apis from "./config/api";
import request from "./utils/request";
import { setUser } from './utils/user';

Vue.use(Router);

const routes = [
  {
    path: '*',
    redirect: '/index'
  },
  {
    name: 'index',
    component: () => import('./view/index'),
    meta: {
      title: '迎宾判客'
    }
  },
  {
    name: 'login',
    component: () => import('./view/login'),
    meta: {
      title: '登录'
    }
  },
  {
    name: 'list',
    component: () => import('./view/list'),
    meta: {
      title: '客户列表'
    }
  },
  {
    name: 'detail',
    component: () => import('./view/detail'),
    meta: {
      title: '客户详情'
    }
  },
  // {
  //   name: 'goods',
  //   component: () => import('./view/goods'),
  //   meta: {
  //     title: '商品详情'
  //   }
  // }
];

// function getUserInfo(){
//   request({
//     ...apis.getUserInfo,

//   }).then(res => {

//   });
// }
var isLogin = 0

// add route path
routes.forEach(route => {
  route.path = route.path || '/' + (route.name || '');
});

const router = new Router({ routes });

router.beforeEach((to, from, next) => {
  const title = to.meta && to.meta.title;
  if (title) {
    document.title = title;
  }
  // debugger


  if (to.name === 'login') {
    next()
    return
  }

  if (isLogin) {

    next()
  } else {
    const openid = 'oztJW0VV0-VKiut_0nq6MfHpQ0No'
    // const openid = localStorage.getItem("openid")
    // window.console.log('openid,', openid)
    if (openid) {
      request({
        ...apis.loginByOpenid,
        params: { openid: openid }

      }).then((user) => {
//         window.console.log('user,', user)
// debugger
        setUser(user)

        isLogin = 1
        localStorage.setItem("nickname", user.nickname);
        localStorage.setItem("openid", user.openid);
        // console.log(user, 'user');
        next()
      }).catch(()=>{
        if (to.name === 'login') {
          next()
        } else {
          next({ name: 'login' })
  
        }
      });
    } else {

      if (to.name === 'login') {
        next()
      } else {
        next({ name: 'login' })

      }
    }
    next()
  }
  });


export {
  router
};
